Search conversations with filters

POST
/v1/search/conversations

Search for conversations containing a particular text or by filter or combine them both

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

pageLimit?integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

Formatint32
pageKey?string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Request Body

The filters to apply to the search

application/json
  1. body
query?
filters?

Response Body

The search results for the searched parameters

application/json
  1. response
data?array<>
meta?
curl -X POST 'https://dev.dixa.io/v1/search/conversations' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "filters": {    "strategy": "All",    "conditions": [      {        "field": {          "operator": {            "values": [              "177e7564-6434-4177-a25a-8530089196ad",              "7729e7564-9876-a637-b46b-8530038196b3"            ],            "_type": "IncludesOne"          },          "_type": "TagId"        }      }    ]  }}'
{
"data": [
{
"id": 1234,
"highlights": {}
},
{
"id": 2345,
"highlights": {}
},
{
"id": 3456,
"highlights": {}
}
],
"meta": {
"next": "/<api-version>/search/conversations/?pageKey=cGFnZUxpbWl0PTUwJnBhZ2U9MQ%3D%3D:"
}
}